#include "protheus.ch"

User Function CP7033()
		
   	Public lRet    := .T.
    Public cVal    := ""
	Public aItems  := {}
 	Public cOrc     := "" 
 	
// Inicio que carrega os pedidos de venda NO COMBOBOX   
   	DbSelectArea("SF2")
	SF2->(DbGoTop())
	dbSeek(xFilial("SF2"),.T.)   //	dbSeek(xFilial("SF2") + cOrc,.T.)
	
		While!SF2->(EOF())
			IF ALLTRIM(SF2->F2_SERIE) $ "UNI"   // TROCAR "UNI" POR PARAMETRO MV_RSERCF. OBS: CRIAR
   				cVal := SF2->F2_DOC
   				aADD(aItems,cVal)
   				SF2->(DbSkip())
   			                  
   			Else
   				SF2->(DbSkip())
   			Endif
   			
  		End  
  		
//MOSTRA JANELA PARA ESCOLHA DA VENDA A SER IMPRESSO
		DEFINE DIALOG oDlg TITLE "Romaneio de Venda" FROM 180,180 TO 500,500 PIXEL                   
    
  		cCombo1 := aItems[1]   
  		oCombo1 := TComboBox():New(55,55,{|u|if(PCount()>0,cCombo1:=u,cCombo1)},; 
    	aItems,70,20,oDlg,,{||}; 
    	,,,,.T.,,,,,,,,,'cCombo1')
    	
    	//MOTA BOTAO OK	
    	oSBtn2 := SBUTTON():Create(oDlg,,,,{||U_ImpGui(cOrc)}) 
		oSBtn2:cName := "oSBtn2"
		oSBtn2:cCaption := "OK"
		oSBtn2:nLeft := 145
		oSBtn2:nTop := 150
		oSBtn2:nWidth := 52
		oSBtn2:nHeight := 22
		oSBtn2:lShowHint := .F.
		oSBtn2:lReadOnly := .F.
		oSBtn2:Align := 0
		oSBtn2:lVisibleControl := .T.
		oSBtn2:nType := 1 		
  
  		ACTIVATE DIALOG oDlg CENTERED
	      
 Return .T.                  



User Function ImpGui(cOrc)
   
	Local aArea := GetArea()

   	cOrc := cCombo1  
	
	If MsgYesNo('Confirma a Impresso da GUIA Caixa ?',"Guia Pagamento Caixa")
		
		//Filtra a tabela de vendas(SF2) com serie do cupom sendo de acordo com o parametro MV_RSERLJ
		DbSelectArea("SF2")
		SF2->(DbGoTop())
		dbSetOrder(1)
		DbSetFilter({||F2_SERIE == 'UNI'},"F2_SERIE == 'UNI'")   // TROCAR "UNI" PELA VARIAVEL DO PARAMETRO "MV_RSERCF"
		dbSeek(xFilial("SF2") + cOrc,.T.) 
		//Filtra a tabela de itens de venda.
		DbSelectArea("SD2")
		SD2->(DbGoTop())
		dbSetOrder(3)
		DbSetFilter({||ALLTRIM(D2_DOC) == cOrc},"ALLTRIM(D2_DOC) == cOrc")
		dbSeek(xFilial("SD2") + cOrc,.T.)		
				
	Endif 
					
   	ImprimeG(cOrc) 
	RestArea(aArea)
	
Return nil

//Layout de Impressao dos Recebimentos
Static Function ImprimeG(cOrc)
 
 Local cFiltro   := ""
 Local i         := 0
 Local nCont     := 0
 Local nContItem := 0
 Local cDesc     := ""
 Local cDoc      := ""
 Public cProd    := "" 
 Public aArray   := {}
	
 m_pag	  := 1
 cTamanho := "P"          // P/M/G
 nCaracter:= 18
 Limite   := 80           // 80/132/220
 aOrdem   := {}           // Ordem do Relatorio
 cTitulo  := 'Guia Pagamento Oramento' //"Prescricao Eletronica"
 nLastKey := 0
 aReturn  := {'Zebrado', 2, 'Administracao', 1, 4, "LPT1", "", 1} //"Zebrado"###"Administracao"
 cNomProg := "IMPGUI"
 cNomeRel := "IMPGUI"
 cDrive   := "Epson.drv"
 cNomeImp := "LPT1"
 cAlias   := "SF2"   
 nlin     := 0

 cCabec1  := 'Cabecalho'
 cCabec2  := 'Cabecal'


 LServer := .F.
 cNaoMostra := .F.
 // Parametros da SetPrint
 // 15 cDrive
 // 16 cNaoMostra  passa .t. p/ nao chamar tela
 // 17 lserver = .t., imprime no servidor
 // 18 LPT1
 
 cNomeRel := SetPrint(cAlias,cNomeRel,nil ,@cTitulo,"","","",.F.,"",.F.,cTamanho,nil    ,nil    ,nil ,cDRive,cNaoMostra, LServer,cNomeImp)
 
 If nLastKey == 27
	DbClearFilter()
	Return
 Endif
  
 SetDefault(aReturn, cAlias)

 Set Printer to &cNomeRel
 Set Printer On
 Set Device  to Printer

 _Passou := .F.

  SETPRC(0, 0)
		

//Cabec. do Recebimento 
@ Prow(),1    PSAY Chr(18)+'C'+Chr(22)  // Comando que Determina o tamanho da Pagina 22 LINHAS
@ Prow()+1,1  PSAY '+'+Replicate("=",37)+'+' //replicate
@ Prow()+1,1  PSAY "|"+Padc('  Impresso em ' + DtoC(Date()) + " as " + Time(),37)+'|'
@ Prow()+1,1  PSAY '+'+Replicate("=",37)+'+' //     @ Prow()+1,1  PSAY '+'+Replicate("=",38)+'+'

//OPCAO DE MOSTRAR O NOME DA EMPRESA
//@ Prow()+1,1  PSAY '|'+Chr(14)+PadC(AllTrim(SM0->M0_NOME),19)+Chr(20)+'|'  

//DADOS DO DOC DA VENDA
@ Prow()+1,1  PSAY '+'+Replicate("-",37)+'+' //replicate
@ Prow()+1,1  PSAY '|'+PadC('ROMANEIO:' + cOrc + ' - DATA:' + Dtoc( SF2->F2_EMISSAO ),37)+'|'  //@ Prow()+1,1  PSAY '|'+PadC('ROMANEIO:' + cOrc + ' - DATA:' + Dtoc( Date() ),37)+'|'
@ Prow()+1,1  PSAY '+'+Replicate("-",37)+'+' //replicate
@ Prow()+1,1  PSAY '|'+PadC('Vendedor:' + SA3->A3_COD + " - " + SA3->A3_NREDUZ,37)+'|'
@ Prow()+1,1  PSAY '+'+Replicate("=",37)+'+' //replicate
@ Prow()+1,1  PSAY '|'+Chr(27)+'E'+PadC('ITENS DA VENDA',37)+Chr(27)+'F'+'|'
@ Prow()+1,1  PSAY '+'+Replicate("=",37)+'+' //replicate
@ Prow()+1,1  PSAY '|'+Chr(27)+'E'+PadR('QTD',12)+PadC('  VL UNIT',10)+PadL('VL TOTAL',15)+Chr(27)+'F'+'|'
@ Prow()+1,1  PSAY '+'+Replicate("-",37)+'+' //replicate

//IMPRIMI OS ITENS 
While!SD2->(EOF())
	@ Prow()+1,1  PSAY '|'+PadR(ALLTRIM(SD2->D2_COD),37)+'|'
	@ Prow()+1,1  PSAY '|'+PadR(TransForm(SD2->D2_QUANT,"@E999")+" "+ALLTRIM(SD2->D2_UM),12)+""+PadC('R$'+TransForm(SD2->D2_PRUNIT,"@E 999.99"),12)+" "+PadL('R$'+TransForm(SD2->D2_TOTAL+SD2->D2_DESCON,"@E 99,999.99"),12)+"|"  //+ALLTRIM(SD2->D2_UM)+" X R$"+TransForm(SD2->D2_PRUNIT,"@E999.99")+"=R$"+TransForm(SD2->D2_VALBRUT,"@E99,999.99")+"-R$"+TransForm(SD2->D2_DESCON,"@E99,999.99")+"=R$"+TransForm(SD2->D2_TOTAL,"@E 99,999.99"),37)+'|'
	@ Prow()+1,1  PSAY '+'+Replicate("-",37)+'+' //replicate	          			
	nContItem += SD2->D2_QUANT //CONTA A QUANTIDADE DE ITENS DE CADA REGISTRO PARA MOSTRAR NO RODAPE
	SD2->(DbSkip())   	 	
End
//RODAPE COM VALOR TOTAL DA VENDA
@ Prow()+1,1  PSAY '|'+PadR('Valor Total:',18)+PadL('R$'+TransForm(SF2->F2_VALMERC,"@E 99,999.99"),19)+'|'
@ Prow()+1,1  PSAY '|'+PadR('Desc. Total:',18)+PadL('R$'+TransForm(SF2->F2_DESCONT,"@E 99,999.99"),19)+'|'   //@ Prow()+1,1  PSAY '|'+Chr(27)+'E'+PadC('Desconto:',37)+Chr(27)+'F'+'|'
@ Prow()+1,1  PSAY '|'+PadR('Total Liquido:',18)+PadL('R$'+TransForm(SF2->F2_VALBRUT,"@E 99,999.99"),19)+'|'
@ Prow()+1,1  PSAY '|'+PadR('Total Itens:',18)+PadL(TransForm(nContItem,"@E 999")+" Pecas",19)+'|'
@ Prow()+1,1  PSAY '+'+Replicate("=",37)+'+' //replicate

//MOSTRA TEXTOS NO FINAL DO CUPOM
@ Prow()+1,1  PSAY '|'+Chr(27)+'E'+PadC('AGRADECEMOS A PREFERENCIA',37)+Chr(27)+'F'+'|'
@ Prow()+1,1  PSAY '|'+Chr(27)+'E'+PadC('VOLTE SEMPRE!',37)+Chr(27)+'F'+'|'
@ Prow()+1,1  PSAY '+'+Replicate("=",37)+'+' //replicate
@ Prow()+1,1  PSAY '|'+Chr(27)+'E'+PadC('POLITICA DE TROCAS',37)+Chr(27)+'F'+'|'
Ms_Flush()              
  
 Set Printer to
 Set Device  to Screen

 If aReturn[5] == 1
  OurSpool(cNomeRel)
 EndIf  

MsgInfo('Guia Impressa com Sucesso')

Return nil 